サポート » インストール » php.ini ファイルの設定でエラーに

  • 解決済 Nyao3

    (@nyao3)


    WordPress歴2ヶ月の初心者です

    チカッパサーバーでWordPressを利用しているんですが
    先週PHP4からPHP5になったということで、早速PHP5に設定しました。
    そのときに「 php.ini ファイルの設定」という項目もするものだろうと
    深く考えず、表示されたデフォルトの設定でOKしてしまったら
    ログインできなくなってしまいました。。(T_T)

    ログイン画面のWordPressのロゴマークの上部に
    「Michael Heilemann.
    If you have Dunstan’s Time Since installed, this plugin uses it for the title=・・・・・延々続く」と大量の英文が出てしまい、そのままログインしても同じ英文が表示されるだけでどうしようもない感じです。

    たぶん、「 php.ini ファイルの設定」に問題があるのでは・・と思うのですが
    どう設定し直してよいのか判りません。

    ご教授いただけませんでしょうか。。。

    ちなみに設定項目は

    default_charset
    mbstring.language
    mbstring.internal_encoding
    mbstring.encoding_translation
    mbstring.http_input
    mbstring.http_output
    magic_quotes_gpc
    session.use_trans_sid
    short_open_tag
    safe_mode
    display_errors
    error_reporting

    以上の12項目です。
    設定できる選択肢は各項目で違ってきますが、
    大体は“on”か“off”もしくは“未設定”です。

    どうかよろしくお願いします。。

8件の返信を表示中 - 1 - 8件目 (全8件中)
  • そのままログインしても

    ログイン画面や管理パネルの上部にこの英文が出るのか、
    ログインしてもまた同じ英文+ログイン画面になってしまうのか、
    どちらでしょう。

    Michael Heilemannさんは、この英文メッセージに出ている Dunstan’s Time Since プラグインの作者さんですね。

    Dunstan’s Time Since プラグインをインストールしているなら、このプラグインは … を使う …
    と書いてあるみたいですが、もうちょい続きをコピペできますか?

    ・Time Since プラグインを使っているならそのバージョン
    ・http://binarybonsai.com/wordpress/ に載っているテーマやプラグインを使っているかどうか。
    ・MySQL のバージョン
    ・現在の php.ini の設定内容
    http://chicappa.jp/?mode=support&state=manual#OPTION
    に載っている「php.ini設定」の画面ですよね?各項目で「設定しない」とは選べないんでしょうか。。(^^;)

    も書いてみてください。

    >bonopsさま

     早速ありがとうございます!!
     その後。。。php.iniの設定画面をいろいろいじってみました。。。

     設定はこんな感じです
    http://www.kimberlite.cc/phpini.gif

    一応エラーも出ないようになり、ログイン画面から普通にログインできるようなりました。
     ダッシュボードにも変化は無く、通常の表示がされています。
     まぁ、若干不具合といえばテーマかCSSが壊れてるような
     (ちゃんとしたデザインで表示されない)感じがあるくらいで。。。(^_^;)

     今後似たような症状でお困りの方のためにもエラー時の状況を報告しておきます。

     *MySQL のバージョンは( MySQL5.0 )
     *使っていたテーマは (WSC 4.1 : Go Imai 作)
     *エラー時の php.ini の設定内容
     http://www.kimberlite.cc/errorphpini.gif
     *使っていたプラグイン
      Akismet 2.2.3
      Brian’s Latest Comments 1.5.8
      flickrRSS 5.0
      Kimili Flash Embed 2.0.1
      My Category Order 2.7
      WP-SlimStat 0.8.7 alpha
      WP FancyZoom 1.1
      WP Grins 1.5
      WP Multibyte Patch

     エラーが出ていたプラグインについてですが
     Brians Latest Comments<これがそのMichael Heilemannの作で私が使っていたプラグインでした。
     たくさんプラグインを入れては使用せずの状態で置いてあったので必要ないものは削除した方がいいですね、、今回のような事があると原因を増やすことになりそうで(^_^;)

     反省です。。。

     で。。。余談ですが
     phpini設定で「display_errors」をoffにしているんですが。
     PHPスクリプトのエラーメッセージを表示するかどうかの設定のようで
     これoffにしておくとエラーがでてても見えないってことですよね?
     いいんですかね?このままで・・・(<いじることに臆病になってるんす)

     すいません、お手数かけますが教えていただけると嬉しいです<(_ _)>

     

    モデレーター Seisuke Kuraishi (tenpura)

    (@tenpura)

    http://www.kimberlite.cc/phpini.gif
    は色々と非推奨の設定がされています。
    本来は
    http://www.kimberlite.cc/errorphpini.gif
    の素のままの設定で問題はないはずです。

    恐らく Brian’s Latest Comments で short open tag が使われているための問題でしょう。
    元の状態
    http://www.kimberlite.cc/errorphpini.gif
    で short_open_tag だけ On にしたらどうなりますか?

    >tenpuraさま

     返答ありがとうございます<(_ _)>
     早速おっしゃる通りにしてみましたが・・・
     大きな支障は無いように思いますが。。。

     実はdisplay_errorsについてどうも気になり・・・
     ONにするとエラーが出るんです

    ==
    Warning: include_once(/home/sites/chicappa.jp/wp-content/plugins/css/) [function.include-once]: failed to open stream: Success in /home/sites/chicappa.jp/wp-settings.php on line 473
    ===(途中はしょってます(^_^;))

     こんなのが2つほど・・・

     そして今まで使っていたプラグインが全く機能しない
     (ちなみにWP FancyZoom1.1)
     
     これはほおっておいていいんでしょうか・・・(-_-;)

    モデレーター Seisuke Kuraishi (tenpura)

    (@tenpura)

    早速おっしゃる通りにしてみましたが・・・
    大きな支障は無いように思いますが。。。

    どういう意味でしょう?デフォルトの設定から short_open_tag を ON にするだけで

    「Michael Heilemann.
    If you have Dunstan’s Time Since installed, this plugin uses it for the title=・・・・・延々続く」と大量

    の問題は解決したということですか?
    php.ini の設定は適当にいじるとまずい項目もありますので正確に書いてください。

    実はdisplay_errorsについてどうも気になり・・・
    ONにするとエラーが出るんです

    パスのアカウント固有部分以外は、はしょらずに書いてください。

    そして今まで使っていたプラグインが全く機能しない
     (ちなみにWP FancyZoom1.1)

    こちらも「全く機能しない」が何を指すのか詳細を書いてくださらないとなんともいえません。

    >tenpuraさま
     
     返答ありがとうございます!
     説明不足で申し訳ありませんでした<(_ _)>

     http://www.kimberlite.cc/errorphpini.gif
     ご意見頂いたとおり上記設定↑にshort_open_tag を ONとした状態ですと
     長文英語のエラー文章もでず、普通にloginでき、ダッシュボードも表示されます。
     ちなみにoffにすると英文が出ます(^_^;)
     
     そして(WP FancyZoom1.1)ですが。
     こちらも大変申し訳ないです。。(-_-;)
     よく見直したところ、このプラグインの設定で入力するパス(Path to the plugin:というところ)をいじってしまっていたようで・・・・きちんと直したらちゃんと動くようになりました。お騒がせしてスイマセン・・・

     それから。display_errorsについてですが。
     今はoffにしておりますが、onにすると
    http://www.kimberlite.cc/login.gif
     こんなエラーが出ます。

     そしてこの状態のまま構わずログインしようとすると
     ダッシュボードも表示されず
     http://www.kimberlite.cc/login2.gif
     このような画面になってしまいます。
     (各画像ともアカウント固有部分だけ伏せてます。)
     
     offにしていればログインすることも投稿する事も出来るのですが
     プラグインにしてもCSSの変更にしても、カスタマイズが上手くいかなかったとき
     このエラーのせいかも???と余計な事をしてしまいそうで気になります。

     エラーの内容に対処できる事があれば、したいと思っているのですが・・
     どうでしょうか?
     

    モデレーター Seisuke Kuraishi (tenpura)

    (@tenpura)

    wp-content/plugins の中に css というフォルダーはありますか?これを一時的に削除あるいは移動するとどうなりますか?

    >tenpura様

     wp-content/pluginsの中の css というフォルダありました。
     FTPで削除し、phpini設定でdisplay_errorsをonにしたところ・・・
     
     エラー出ません!!!!!
     一つも出ないです!!!(>_<)♪

     このCSSフォルダは「LiteBox」というプラグインを入れたときに
     作られたフォルダのようで中には“lightbox.css”だけが入っていました。
     「WP FancyZoom」がちゃんと稼動しているので「LiteBox」は必要ないので
     削除したままにしようと思います。

     ありがとうございましたぁーーー<(_ _)>

8件の返信を表示中 - 1 - 8件目 (全8件中)
  • トピック「php.ini ファイルの設定でエラーに」には新たに返信することはできません。